Name:          containerd
Version:       2.0.2
Release:       1mamba
Summary:       A daemon to control OCI container runtimes
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://containerd.io/
Source:        https://github.com/containerd/containerd.git/v%{version}/containerd-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libgo-devel >= 7.3.0-1mamba
BuildRequires: gcc-go

%description
A daemon to control OCI container runtimes.


%prep
%setup -q
mkdir -p src/github.com/containerd
ln -rsf $PWD src/github.com/containerd/containerd

# fix paths in service
sed -i 's,/sbin,/usr/bin,;s,/usr/local,/usr,' containerd.service

%build
export GOPATH=$PWD
cd src/github.com/containerd/containerd
export GOFLAGS="-trimpath -mod=readonly -modcacherw"

%make VERSION=v%{version} \
   GO_BUILD_FLAGS="${GOFLAGS}" GO_GCFLAGS="" EXTRA_LDFLAGS="-buildid="

%make VERSION=v%{version} man

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd src/github.com/containerd/containerd
%makeinstall DESTDIR=%{buildroot} PREFIX=%{_prefix} BINDIR=%{_bindir}
install -Dm644 containerd.service %{buildroot}%{_unitdir}/containerd.service

install -Dm644 man/*.8 -t %{buildroot}%{_mandir}/man8
install -Dm644 man/*.5 -t %{buildroot}%{_mandir}/man5
install -Dm644 contrib/autocomplete/ctr %{buildroot}%{_datadir}/bash-completion/completions/ctr
install -Dm644 contrib/autocomplete/zsh_autocomplete %{buildroot}%{_datadir}/zsh/site-functions/_ctr

%post
%systemd_post containerd
:

%preun
%systemd_preun containerd
:

%postun
%systemd_postun containerd
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/containerd
%{_bindir}/containerd-shim-runc-v2
%{_bindir}/containerd-stress
%{_bindir}/ctr
%{_unitdir}/containerd.service
%{_datadir}/bash-completion/completions/ctr
%{_datadir}/zsh/site-functions/_ctr
%{_mandir}/man5/containerd-config.toml.5*
%{_mandir}/man8/containerd-config.8*
%{_mandir}/man8/containerd.8*
%{_mandir}/man8/ctr.8*
%doc LICENSE

%changelog
* Tue Jan 14 2025 Automatic Build System <autodist@openmamba.org> 2.0.2-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 2.0.1-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 2.0.0-1mamba
- automatic version update by autodist

* Tue Oct 15 2024 Automatic Build System <autodist@openmamba.org> 1.7.23-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 1.7.22-1mamba
- automatic version update by autodist

* Tue Aug 27 2024 Automatic Build System <autodist@openmamba.org> 1.7.21-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 1.7.20-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 1.7.19-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 1.7.18-1mamba
- automatic version update by autodist

* Fri May 17 2024 Automatic Build System <autodist@openmamba.org> 1.7.17-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 1.7.16-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.15-2mamba
- rebuilt with -mod=readonly and -modcacherw; install man-pages and autocompletion support

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 1.7.15-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 1.7.14-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 1.7.13-1mamba
- automatic version update by autodist

* Fri Jan 12 2024 Automatic Build System <autodist@openmamba.org> 1.7.12-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 1.7.11-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 1.7.10-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 1.7.9-1mamba
- automatic version update by autodist

* Fri Oct 27 2023 Automatic Build System <autodist@mambasoft.it> 1.7.8-1mamba
- automatic version update by autodist

* Tue Oct 10 2023 Automatic Build System <autodist@mambasoft.it> 1.7.7-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 1.7.6-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Fri Aug 25 2023 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Fri Jul 28 2023 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Sat Jun 03 2023 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 1.6.19-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 1.6.18-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Automatic Build System <autodist@mambasoft.it> 1.6.17-1mamba
- automatic version update by autodist

* Sun Jan 29 2023 Automatic Build System <autodist@mambasoft.it> 1.6.16-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 1.6.15-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 1.6.14-1mamba
- automatic version update by autodist

* Fri Dec 16 2022 Automatic Build System <autodist@mambasoft.it> 1.6.13-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 1.6.12-1mamba
- automatic version update by autodist

* Wed Dec 07 2022 Automatic Build System <autodist@mambasoft.it> 1.6.11-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 1.6.10-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic version update by autodist

* Tue Aug 09 2022 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Fri Aug 05 2022 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Thu Mar 24 2022 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Thu Mar 03 2022 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Thu Feb 17 2022 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Jan 05 2022 Automatic Build System <autodist@mambasoft.it> 1.5.9-1mamba
- automatic version update by autodist

* Wed Nov 17 2021 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Thu Sep 30 2021 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Wed Nov 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Sun Jun 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-3mamba
- rebuilt with go-pie

* Thu Apr 19 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=7.3.0-1mamba

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- update to 0.2.8

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- update to 0.2.2

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5-1mamba
- package created using the webbuild interface
